import {Component, Input, OnInit} from '@angular/core';
import {BasicScheduleEntityInfo, ScheduleService, TaskEntityInfo, TaskgroupEntityInfo} from "../../../api";

@Component({
  selector: 'app-schedule-dashboard',
  templateUrl: './schedule-dashboard.component.html',
  styleUrls: ['./schedule-dashboard.component.css']
})
export class ScheduleDashboardComponent implements OnInit{

  @Input('taskgroup')  taskgroup: TaskgroupEntityInfo | undefined
  @Input('task') task: TaskEntityInfo | undefined

  schedules: BasicScheduleEntityInfo[] = []

  constructor(private scheduleService: ScheduleService) {

  }

  ngOnInit() {
    this.scheduleService.schedulesTaskIDScheduleTypeGet(this.task!.taskID, "BASIC").subscribe({
      next: resp => {
        this.schedules = resp;
      }
    })
  }
}
